;; $Id: defpackage.lisp,v 1.3 2007/07/26 08:58:24 willijar Exp $
;; Package definition for figures and math server
;; Copyright (C) 2006 Dr. John A.R. Williams
;; Author: Dr. John A.R. Williams <J.A.R.Williams@jarw.org.uk>
;; Keywords: LaTeX, figures

;; This file is part of CLEWS

;; This is free software released under the GNU General Public License (GPL)
;; See <http://www.gnu.org/copyleft/gpl.html>

;;; Commentary:

;; A CLEWS web application using the docutils.figures image server

;;; Code:

(in-package :cl-user)

(defpackage :jarw.media
  (:documentation "CLEWS math and figure server")
  (:use :cl)
  (:import-from :inet.mime #:*content-types*)
  (:import-from :jarw.lib #:is-prefix-p #:vcase)
  (:import-from :jarw.io #:create-temp-pathname #:delete-file-all-types
                #:with-temp-pathname #:copy-file #:copy-stream)
  (:import-from :jarw.port #:run-shell #:make-mutex #:make-waitqueue
                #:make-thread #:terminate-thread #:with-lock
                #:condition-wait #:condition-broadcast)
  (:import-from :dictionary #:get-dictionary #:dictionary-keys
                #:path #:filestore-class-dictionary #:filestore-fields
                #:map-dictionary #:clr-cache #:clr-dictionary
                #:update-record-from-instance #:update-instance-from-record)
  (:import-from :jarw.parse
                #:format-output #:parse-input #:standard-parsed-class )
  (:import-from :cl-ppcre
                #:define-parse-tree-synonym #:scan-to-strings
                #:create-scanner #:scan)
  (:export #:file-suffix-content-type #:content-type-file-suffix
           #:register-media #:media-variant #:media-server
           #:media-variant-url #:media-variant-data #:media-variant-path
           #:*media-server* #:*media-base-url* #:media-metadata
           #:content-type-element-type #:content-type-external-format
           #:def-media-conversion #:*length-units*))

